const express = require('express');

const app = express();

var port = 3000;

var blocks = {
    "fixed": "fasten securely in a position",
    "movable":"capable of  moving",
    "rotating": "moving in a circle around its center"
};

//pre-defined query params
app.get('/blocks/:name', (req, res) => {
    var discription = blocks[req.params.name];

    if(!discription) {
        res.status(404).json(`no description found for ${req.params.name}`)
    } else {
        res.send(discription);
    }

});

app.listen(port, () => console.log('Server listening to 3000'));