const express = require('express');

const app = express();

var port = 3000;

//middleware
var requestTime = function (req, res, next) {
    req.requestTime = new Date();
    next();
}

//middleware m2
var m2 = function (req, res, next) {
    //if none of the below is used than request will be hanged
    // res.send('m2');
    // next();
}

//must be used in order to use middleware
app.use(requestTime);
//app.use(m2);

app.get('/getTime', (req, res) => {
    var responseText = "Hello <br>";
    responseText += `<small>Requested at: ${req.requestTime} </small>`;
    res.send(responseText);
});


app.listen(port, () => console.log('Server listening to 3000'));