const http = require('http');
const fs = require ('fs');
const path = require('path');

const hostName='localhost';
const port = 3000;

const server = http.createServer((req,res) => {
    console.log('Request for ' + req.url + ' by method ' + req.method);

    if(req.method == 'GET'){
        var fileUrl1;
        if(req.url== '/'){
            fileUrl = '/index.html';
        } else {
            fileUrl = req.url
        }

        var filePath= path.resolve('./public' + fileUrl);
        const fileExt = path.extname(filePath);

        if(fileExt == '.html'){
            fs.exists(filePath, (exist) => {
                if (!exist){
                    res.statusCode = 404;
                    res.setHeader('Content-type', 'text/html');
                    res.end('<html><body><h1>Error 404 : '+ fileUrl + ' not found</h1></body></html>');
                        return;
                }
                res.statusCode = 200;
                res.setHeader('Content-type', 'text/html');
                fs.createReadStream(filePath).pipe(res);
            });
        } else if(fileExt == '.txt'){
            res.statusCode = 200;
            res.setHeader('Content-type','text/html');
            res.end('<html><body><h1>You have read text file</h1></body></html>')
        } else {
            res.statusCode = 404;
            res.statusHeader('Content-type', 'text/html');
            res.end('<html><body><h1>Erro 404: ' + fileUrl + 'not HTML file </h1></body> </html>');
        }
    } else {
            res.statusCode = 404;
            res.setHeader('Content-type', 'text/html');
            res.end('<html><body><h1>Error 404 : '+ req.method +' not support</h1></body></html>');
    }
});

server.listen(port, hostName, () => {
    console.log('Server running');
})