const express = require('express');

const app = express();

var path = require('path');

app.get('/', (req, res) => res.sendFile(path.join(__dirname + '/index.html')));

app.get('/contactNumbers', (req, res) => {
    var blocks = [90909090, 90899787, 76768787, 90909090, 90899787, 76768787];

    //with query string
    if(req.query.limit >= 0) {
        res.json(blocks.slice(0, req.query.limit))
    } else {
        res.json(blocks);
    }
});

app.get('/location', (req, res) => {
    res.send({"name": "accenture", "location": "BOC"});
});

app.post('/content', (req, res) => {
    console.log(`Request ${req.body}`);
    res.send("Post method is called");
});

app.listen(3000, () => console.log('Server listening to 3000'));