const express = require('express');
const http = require('http');

const bodyParser = require('body-parser');
const hostName = 'localhost';
const port = 3000;

const app = express();
const server = http.createServer(app);

app.use(bodyParser.json());

//default application/json
app.all('/dishes', (req, res, next) => {
    res.statusCode = 200;
    //req.setHeader({'Content-type': 'text/plain'});
    next();
});

app.get('/dishes', (req, res) => {
    res.send('we will send all dish details to you');
});

app.post('/dishes', (req, res) => {
    res.send(`we will add the dish ${req.body.name}`);
});

app.put('/dishes', (req, res) => {
    res.send(`PUT operation cannot be performed on dishes`);
});

app.delete('/dishes', (req, res) => {
    res.send(`deleting all dishes`);
});

server.listen(port, hostName, () => {
    console.log(`Server runnig at http://${hostName}:${port}`);
});